VST 3 SDK VST 3.6.11 SDK for developing VST Plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Functions
VST3::StringConvert Namespace Reference

## Functions
std::u16string | convert (const std::string &utf8Str)
| convert an UTF-8 string to an UTF-16 string More...
bool | convert (const std::string &utf8Str, Steinberg::Vst::String128 str)
| convert an UTF-8 string to an UTF-16 string buffer with max 127 characters More...
bool | convert (const std::string &utf8Str, Steinberg::Vst::TChar *str, uint32_t maxCharacters)
| convert an UTF-8 string to an UTF-16 string buffer More...
std::string | convert (const Steinberg::Vst::TChar *str)
| convert an UTF-16 string buffer to an UTF-8 string More...
std::string | convert (const Steinberg::Vst::TChar *str, uint32_t max)
| convert an UTF-16 string buffer to an UTF-8 string More...
std::string | convert (const std::u16string &str)
| convert an UTF-16 string to an UTF-8 string More...

## Function Documentation

std::u16string convert | ( | const std::string & | utf8Str | ) |

convert an UTF-8 string to an UTF-16 string

Parameters

  utf8Str | UTF-8 string

Returns
  UTF-16 string

bool convert | ( | const std::string & | utf8Str,
|  | Steinberg::Vst::String128 | str
| ) |  |

convert an UTF-8 string to an UTF-16 string buffer with max 127 characters

Parameters

  utf8Str | UTF-8 string
  str | UTF-16 string buffer

Returns
  true on success

bool convert | ( | const std::string & | utf8Str,
|  | Steinberg::Vst::TChar * | str,
|  | uint32_t | maxCharacters
| ) |  |

convert an UTF-8 string to an UTF-16 string buffer

Parameters

  utf8Str | UTF-8 string
  str | UTF-16 string buffer
  maxCharacters | max characters that fit into str

Returns
  true on success

std::string convert | ( | const Steinberg::Vst::TChar * | str | ) |

convert an UTF-16 string buffer to an UTF-8 string

Parameters

  str | UTF-16 string buffer

Returns
  UTF-8 string

std::string convert | ( | const Steinberg::Vst::TChar * | str,
|  | uint32_t | max
| ) |  |

convert an UTF-16 string buffer to an UTF-8 string

convert a ASCII string buffer to an UTF-8 string

Parameters

  str | UTF-16 string buffer
  max | maximum characters in str

Returns
  UTF-8 string

Parameters

  str | ASCII string buffer
  max | maximum characters in str

Returns
  UTF-8 string

std::string convert | ( | const std::u16string & | str | ) |

convert an UTF-16 string to an UTF-8 string

Parameters

  str | UTF-16 string

Returns
  UTF-8 string

Empty

Copyright ©2018 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.